# SPDX-License-Identifier: MIT
Version: 20070415
Release: 29%{?dist}
URL:     http://www.greekfontsociety-gfs.gr/typefaces/20th_21st_century

%global foundry           GFS
%global fontlicense       OFL
%global fontlicenses      OFL.txt
%global fontdocs          *.txt *.rtf
%global fontdocsex        %{fontlicenses}

%global fontfamily        Artemisia
%global fontsummary       GFS Artemisia, a Greek font family
%global fonts             *.otf
%global fontconfngs       %{SOURCE10}
%global fontdescription   %{expand:
The type family GFS Artemisia was designed by the painter-engraver Takis
Katsoulidis and reflects his style and typographic acumen. It is largely his
effort to offer, from a different perspective, a type face which, like Times
Greek, would be applicable to a wide spectrum of uses and equally agreeable and
legible.

The typeface has been digitised by George D. Matthiopoulos.}

%global archivename %{lua:t=string.gsub(rpm.expand("%{foundry} %{fontfamily}"), "[%p%s]+", "_");print(t)}

Source0:  http://www.greekfontsociety-gfs.gr/_assets/fonts/%{archivename}.zip
Source10: 60-%{fontpkgname}.xml

%fontpkg

%package   doc
Summary:   %{name} optional documentation files
BuildArch: noarch
%description doc
This package provides optional documentation files shipped with %{name}.

%prep
%setup -q -c -T
unzip -j -q  %{SOURCE0}
%linuxtext *.txt

%build
%fontbuild

%install
%fontinstall

%check
%fontcheck

%fontfiles

%files doc
%license OFL.txt
%doc *.pdf

%changelog
* Sat Feb 15 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20070415-29
✅ Convert to fonts-rpm-macros use

* Sun Nov 25 2007 Nicolas Mailhot <nim@fedoraproject.org>
- 20070415-1
✅ Initial packaging
